> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/mts/transaction-3.0-api/mts-related-transaction-examples/bet-types-examples-singles-accumulators-custom-bets.../multi-system-ticket.md).

# Multi-system Ticket

This is an example of a ticket containing three system bets. There are four selections to make system bets from. The Size array has three elements (with values 1,2, and 4) which specifies the following three system bets: 1/4, 2/4, and 4/4 (with 1/4 meaning four single selections and 4/4 meaning a 4-fold accumulator).

<details>

<summary><strong>Ticket Placement Request</strong></summary>

```json
{
  "operatorId": 9985,
  "content": {
    "type": "ticket",
    "ticketId": "Ticket_7909",
    "bets": [
      {
        "selections": [
          {
            "type": "system",
            "size": [
              1,2,4
            ],
            "selections": [
              {
                "type": "uf",
                "productId": "3",
                "eventId": "sr:match:16",
                "marketId": "1",
                "outcomeId": "3",
                "odds": {
                  "type": "decimal",
                  "value": "1.21"
                }
              },
              {
                "type": "uf",
                "productId": "3",
                "eventId": "sr:match:14",
                "marketId": "818",
                "outcomeId": "1849",
                "specifiers": "total=1.5",
                "odds": {
                  "type": "decimal",
                  "value": "8.46"
                }
              },
              {
                "type": "uf",
                "productId": "3",
                "eventId": "sr:match:18",
                "marketId": "552",
                "outcomeId": "1747",
                "odds": {
                  "type": "decimal",
                  "value": "1.25"
                }
              },
              {
                "type": "uf",
                "productId": "3",
                "eventId": "sr:match:15",
                "marketId": "105",
                "outcomeId": "3",
                "specifiers": "from=1|to=10",
                "odds": {
                  "type": "decimal",
                  "value": "10.62"
                }
              }
            ]
          }
        ],
        "stake": [
          {
            "type": "cash",
            "currency": "EUR",
            "amount": "80"
          }
        ]
      }
    ],
    "context": {
      "channel": {
        "type": "internet",
        "ip": "212.33.11.90",
        "lang": "EN"
      },
      "endCustomer": {
        "id": "7864545"
      },
      "limitId": 1409
    }
  },
  "correlationId": "uwn47s02nh1",
  "timestampUtc": 1678964780000,
  "operation": "ticket-placement",
  "version": "3.0"
}
```

</details>

<details>

<summary><strong>Ticket Placement Response</strong></summary>

```json
{
  "content": {
    "type": "ticket-reply",
    "signature": "b/SH66QPkXl+QAF4YJfrdva0UfrkR0JgO7KF5VqBwGQ=",
    "status": "accepted",
    "ticketId": "Ticket_7909",
    "code": 0,
    "message": "Transaction processed",
    "betDetails": [
      {
        "code": 0,
        "message": "Transaction processed",
        "selectionDetails": [
          {
            "code": 0,
            "message": "Transaction processed",            
            "selection": {
              "type": "uf",
              "productId": "3",
              "eventId": "sr:match:16",
              "marketId": "1",
              "outcomeId": "3",
              "odds": {
                "type": "decimal",
                "value": "1.21"
              }
            }
          },
          {
            "code": 0,
            "message": "Transaction processed",            
            "selection": {
              "type": "uf",
              "productId": "3",
              "eventId": "sr:match:14",
              "marketId": "818",
              "outcomeId": "1849",
              "specifiers": "total=1.5",
              "odds": {
                "type": "decimal",
                "value": "8.46"
              }
            }
          },
          {
            "code": 0,
            "message": "Transaction processed",            
            "selection": {
              "type": "uf",
              "productId": "3",
              "eventId": "sr:match:18",
              "marketId": "552",
              "outcomeId": "1747",
              "odds": {
                "type": "decimal",
                "value": "1.25"
              }
            }
          },
          {
            "code": 0,
            "message": "Transaction processed",            
            "selection": {                   
              "type": "uf",
              "productId": "3",
              "eventId": "sr:match:15",
              "marketId": "105",
              "outcomeId": "3",
              "specifiers": "from=1|to=10",
              "odds": {
                "type": "decimal",
                "value": "10.62"
              }
            }
          }
        ]
      }
    ],
    "exchangeRate":   [
      {
        "fromCurrency": "EUR",
        "toCurrency": "EUR",
        "rate": "1.00000"
      }
    ]
  },
  "correlationId": "uwn47s02nh1",
  "timestampUtc": 1678964781000,
  "operation": "ticket-placement",
  "version": "3.0"
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/mts/transaction-3.0-api/mts-related-transaction-examples/bet-types-examples-singles-accumulators-custom-bets.../multi-system-ticket.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
